> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotdx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List kits

> Query your kits and return a summary, sorted by creation date. Providing any query params will further filter the results to only those that match the query params.

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "kit_id": "SPOT123456",
      "kit_type": "health_kit_1",
      "order_id": "O1234567",
      "kit_status": "preparing",
      "sample_status": "awaiting_collection",
      "created": "2023-01-01T04:30:11.222Z",
      "updated": "2023-01-01T04:30:11.222Z"
    }
  ]
  ```
</ResponseExample>


## OpenAPI

````yaml GET /api/v2/kits/
openapi: 3.0.3
info:
  title: Spot API v2
  version: 2.0.0
  description: API Docs for Spot API
servers:
  - url: https://app.spotdx.com
    description: Production
security: []
paths:
  /api/v2/kits/:
    get:
      description: >-
        Query your kits and return a summary, sorted by creation date. Providing
        any query params will further filter the results to only those that
        match the query params.
      operationId: api_v2_list_kits
      parameters:
        - in: query
          name: results
          description: >-
            Number of results to return per page. Must be in range 1-100.
            Default is 10.
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - in: query
          name: offset
          description: The initial index from which to return the results.
          schema:
            type: integer
            minimum: 0
        - in: query
          name: email
          schema:
            type: string
          description: >-
            Only retrieve kits associated with this email address. Case
            insensitive.
        - in: query
          name: first_name
          schema:
            type: string
          description: >-
            Only retrieve kits associated with this first name. Case
            insensitive.
        - in: query
          name: kit_type
          schema:
            type: string
          description: Only retrieve kits associated with this kit type.
        - in: query
          name: last_name
          schema:
            type: string
          description: Only retrieve kits associated with this last name. Case insensitive.
        - in: query
          name: phone
          schema:
            type: string
          description: Only retrieve kits associated with this phone number.
        - in: query
          name: has_order
          schema:
            type: boolean
          description: >-
            Filter kits based on whether they are associated with an order. Kit
            ordered through the API will always have an order. Retail kits may
            not.
        - in: query
          name: kit_status
          schema:
            $ref: '#/components/schemas/KitStatus'
          description: Only retrieve kits whose most recent event is this status.
        - in: query
          name: sample_status
          schema:
            $ref: '#/components/schemas/SampleStatus'
          description: Only retrieve kits whose sample's most recent event is this status.
        - in: query
          name: created_before
          schema:
            type: string
          description: >-
            Only retrieve orders created on or before this date. Format:
            YYYY-MM-DD
        - in: query
          name: created_after
          schema:
            type: string
          description: >-
            Only retrieve orders created on or after this date. Format:
            YYYY-MM-DD
        - in: query
          name: updated_before
          schema:
            type: string
          description: >-
            Only retrieve orders updated on or before this date. Format:
            YYYY-MM-DD
        - in: query
          name: updated_after
          schema:
            type: string
          description: >-
            Only retrieve orders updated on or after this date. Format:
            YYYY-MM-DD
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KitSummary'
          description: Success
      security:
        - tokenAuth: []
components:
  schemas:
    KitStatus:
      type: string
      description: The new status of the kit.
      enum:
        - preparing
        - in_transit
        - delivered
        - delivery_exception
        - registered
        - canceled
      example: preparing
    SampleStatus:
      type: string
      description: The new status of the sample.
      enum:
        - awaiting_collection
        - collection_exception
        - delivery_exception
        - delivered
        - in_transit
        - received
        - resulted
        - partially_resulted
        - extra_quality_checks
        - canceled
    KitSummary:
      type: object
      properties:
        kit_id:
          type: string
          description: The unique identifier of the kit.
          example: SPOT123456
        kit_type:
          type: string
          description: The kit's type
          example: health_kit_1
        order_id:
          type: string
          description: The order the kit belongs to.
          nullable: true
          example: O1234567
        kit_status:
          $ref: '#/components/schemas/KitStatus'
        sample_status:
          $ref: '#/components/schemas/SampleStatus'
        created:
          type: string
          format: date-time
          description: The date and time the kit was created.
          example: '2023-01-01T04:30:11.222Z'
        updated:
          type: string
          format: date-time
          description: The date and time the kit was last updated.
          example: '2023-01-01T04:30:11.222Z'
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````